Skip to content

Recent MCP agent tool calls from the audit log

GET
/api/v1/workspaces/{workspace}/mcp-agents/actions
curl --request GET \
--url 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/mcp-agents/actions?limit=20' \
--header 'Authorization: Bearer <token>'

Permission: mcp:manage (sensitive)

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

limit
integer format: int64
default: 20 >= 1 <= 100

OK

Media typeapplication/json
object
items
required
Array<object>
object
agent
required
string
agentId
string
id
required
string
note
string
occurredAt
required
string format: date-time
proposal
required
boolean
result
required
string
Allowed values: allowed denied error
summary
string
target
required
string
tool
required
string

Example

{
"items": [
{
"result": "allowed"
}
]
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}